main/urls.py
from django.contrib import admin
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.homepage, name='homepage'),
    path('aboutme/', views.aboutme, name='aboutme'),
    path('biodata/', views.biodata, name='biodata'),
    path('skills/', views.skills, name='skills'),
    path('hobby/', views.hobby, name='hobby'),
    path('social/', views.social, name='social'),
    path('addmatkul/', views.addmatkul, name='addmatkul'),
    path('viewmatkul/', views.viewmatkul, name='viewmatkul'),
    path('success/', views.success, name='success'),
    path('delete/<int:id>', views.deletedata, name='deletedata')
]

story1/urls.py
from django.urls import path

from . import views

app_name = 'story1'

urlpatterns = [
    path('', views.home, name='home'),
]

story4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(('main.urls', 'main'), namespace= 'main')),
    path('story1/', include(('story1.urls', 'story1'), namespace='story1')),
]

main/models.py
from django.db import models

class data(models.Model):
    namamatkul = models.CharField(max_length = 200)
    pengajar = models.CharField(max_length = 200)
    periode = models.CharField(max_length = 200)
    sks = models.CharField(max_length = 200)
    ruang = models.CharField(max_length = 200)
    deskripsi = models.CharField(max_length = 200)

    

story1/models.py
from django.db import models

# Create your models here.

main/forms.py
from django import forms
from .models import data

class dataForm(forms.ModelForm):
    class Meta:
        model = data
        fields = ('namamatkul', 'pengajar', 'periode', 'sks', 'ruang', 'deskripsi')

        widgets = {
            'namamatkul' : forms.TextInput(attrs={'class': 'form-control'}),
            'pengajar' : forms.TextInput(attrs={'class': 'form-control'}),
            'periode' : forms.TextInput(attrs={'class': 'form-control'}),
            'sks' : forms.TextInput(attrs={'class': 'form-control'}),
            'ruang' : forms.TextInput(attrs={'class': 'form-control'}),
            'deskripsi' : forms.TextInput(attrs={'class': 'form-control'}),
        }

main/views.py
from django.shortcuts import render, get_object_or_404, redirect
from django.http import HttpResponse
from .models import data
from .forms import dataForm

def homepage(request):
    return render(request, 'homepage.html')
def aboutme(request):
    return render(request, 'aboutme.html')
def biodata(request):
    return render(request, 'biodata.html')
def skills(request):
    return render(request, 'skills.html')
def hobby(request):
    return render(request, 'hobby.html')
def social(request):
    return render(request, 'social.html')
def addmatkul(request):
    if request.method == 'POST':
        form = dataForm(request.POST)
        if form.is_valid():
            form.save()
            return render(request, 'success.html')
    else:
        form = dataForm()
        return render(request, 'addmatkul.html', {'form': form})
def viewmatkul(request):
    viewmatkul = data.objects.all()
    return render(request, 'viewmatkul.html', {'viewmatkul': viewmatkul})
def success(request):
    return render(request, 'sucess.html') 
def deletedata(request, id):
    name = get_object_or_404(data, id=id)
    name.delete()
    return redirect('main:viewmatkul')

story1/views.py
from django.shortcuts import render
from django.http import HttpResponse

def home(request):
    return render(request, 'home.html')

main/templates/aboutme.html
{% extends "base.html" %} 
{% load static %}

{% block style %}{% endblock style %}

{% block title %}{% endblock title %}

{% block content %}
    <div style="display: flexbox">
        <h2 style="margin: 0; font-weight: 300; font-size: 200%; padding: 100px 0 0 30px"><b>About Me</b></h2>
        <p style="margin: 0; font-size: 115%; text-align: justify; padding: 30px">Hi! nama saya Nadhira Rafik, biasa dipanggil Rara, saya seorang mahasiswa Universitas Indonesia<br>angkatan 2019. Saya masuk di Fakultas Ilmu Komputer jurusan Ilmu Komputer. Sekarang, saya<br>sedang memasuki semester 3 di Fasilkom UI dan sedang mengambil 6 mata kuliah. Saya<br>memiliki hobi bermain game, terutama game console dan saya juga sangat tertarik pada<br>dunia sneakers.</p>
    </div>
{% endblock content %} 

main/templates/addmatkul.html
{% extends "base.html" %} 
{% load static %}

<link rel="stylesheet" href="{% static 'css/style.css' %}">

{% block content %}
<div class="form-group mx-auto" style="text-align: center; width: 60vw">
    <h1 style="text-align: center; margin: 0; font-weight: 300; font-size: 35px; padding: 50px 0 0 0">Mata Kuliah</h2>
    <br>
    <form method="POST" action="">
        {% csrf_token %}
        <h2 style="font-size: 15px; padding: 3px">Nama Matkul<br>{{ form.namamatkul }}</h2>
        <h2 style="font-size: 15px; padding: 3px">Pengajar<br>{{ form.pengajar }}</h2>
        <h2 style="font-size: 15px; padding: 3px">Periode<br>{{ form.periode }}</h2>
        <h2 style="font-size: 15px; padding: 3px">Jumlah SKS<br>{{ form.sks }}</h2>
        <h2 style="font-size: 15px; padding: 3px">Ruang Kelas<br>{{ form.ruang }}</h2>
        <h2 style="font-size: 15px; padding: 3px">Deskripsi Matkul<br>{{ form.deskripsi }}</h2>
        <button type="submit" class="btn btn-primary" style="background-color: #1E3C75;">Add Matkul</button>
    </form>
</div>
{% endblock content %}

main/templates/base.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link  rel="stylesheet" href="{% static 'css/style.css' %}">

    {% block style %}
    {% endblock style %}
      
    {% block title %}<title>NadhiraRafik</title>{% endblock title %}

    
  </head>
  <body>
    <header>NR</header>

    <nav class="navbar navbar-expand-lg navbar-dark navbar-custom">
      <div class="logo"></div>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="nav navbar-nav mx-auto">
            <li class="nav-item active">
              <a class="nav-link" href= "{% url 'main:homepage' %}" style="color: white">Home</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Story4</a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="background-color: #1E3C75">
                <a class="dropdown-item" href="{% url 'main:aboutme' %}" style="color: white">About Me</a>
                <a class="dropdown-item" href="{% url 'main:biodata' %}" style="color: white">Biodata</a>
                <a class="dropdown-item" href="{% url 'main:skills' %}" style="color: white">Personal Skill</a>
                <a class="dropdown-item" href="{% url 'main:hobby' %}" style="color: white">Hobby</a>
                <a class="dropdown-item" href="{% url 'main:social' %}" style="color: white">Social Media</a>
              </div>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'story1:home' %}" style="color: white">Story1</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: white">Matkul</a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="background-color: #1E3C75">
                <a class="dropdown-item" href="{% url 'main:addmatkul' %}" style="color: white">Add Matkul</a>
                <a class="dropdown-item" href="{% url 'main:viewmatkul' %}" style="color: white">View Matkul</a>
              </div>
            </li>
          </ul>
        </div>
      <div class="logo"></div>
    </nav>

    {% block content %}{% endblock content %}

    {% block script %}{% endblock script %}
    

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
  </body>
</html>

main/templates/biodata.html
{% extends "base.html" %} 
{% load static %}

{% block style %}{% endblock style %}

{% block title %}{% endblock title %}

{% block content %}
    <div style="display: flexbox">
        <h2 style="margin: 0; font-weight: 300; font-size: 175%; padding: 50px 0 0 75px"><b>Biodata</b></h2>
        <p style="margin: 0; font-size: 100%; text-align: justify; padding: 30px 0 0 80px">Nama : Nadhira Rafik<br>TTL : Jakarta, 19 April 2001<br>Pekerjaan : Mahasiswa<br>Fakultas : Ilmu Komputer<br>Jurusan: Ilmu Komputer<br>Angkatan : 2019</p>
        <h2 style="margin: 0; font-weight: 300; font-size: 175%; padding: 50px 0 0 75px"><b>Riwayat Pendidikan</b></h2>
        <table class="table table-bordered" style="width: 40%;">
            <thead>
            <tr>
                <th>Jenjang</th>
                <th>Tempat</th>
                <th>Tahun</th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>SMA</td>
                <td>Al-Azhar 1</td>
                <td>2016-2019</td>
            </tr>
            <tr>
                <td>SMP</td>
                <td>Al-Azhar 1</td>
                <td>2013-2016</td>
            </tr>
            <tr>
                <td>SD</td>
                <td>Al-Azhar 1</td>
                <td>2007-2013</td>
            </tr>
            <tr>
                <td>TK</td>
                <td>Al-Azhar 1</td>
                <td>2005-2007</td>
            </tr>
            </tbody>
        </table>
    </div>
{% endblock content %}

main/templates/hobby.html
{% extends "base.html" %} 
{% load static %}

{% block style %}{% endblock style %}

{% block title %}{% endblock title %}

{% block content %}
    <div style="display: flexbox">
        <h2 style="margin: 0; font-weight: 300; font-size: 200%; padding: 100px 0 0 75px"><b>My Hobby</b></h2>
        <ul style="margin: 0; font-size: 125%; padding: 30px 0 0 100px">
            <li>Bermain Game</li>
            <li>Mengoleksi Sneakers</li>
            <li>Membuat lego atau gundam</li>
            <li>Aquascaping</li>
            <li>Menonton Film</li>
        </ul>
        <img src="{% static 'img/Pikachu.jpg' %}" style="position: absolute; width: 200px; height: 200px; right: 150px; top: 500px">
    </div>
{% endblock content %}

main/templates/homepage.html
{% extends "base.html" %} 
{% load static %}

<link rel="stylesheet" href="{% static 'css/style.css' %}">
{% block style %}{% endblock style %}

{% block title %}{% endblock title %}

{% block content %}
    <div class="container">
        <div class="row">
        <div class="col-lg-6 col-sm-12 col-xs-12">
            <h1 style="margin: 0; font-weight: 550; font-size: 70px; text-align: center; padding: 100px 0 0 0;">Welcome!</h1>
            <h2 style="  margin: 0; font-weight: 100; font-size: 25px; text-align: center; padding: 10px 0 0 0;">Hi, I'm Nadhira Rafik and<br>this is my first portfolio<br>website</h2>
            <a href="{% url 'main:aboutme' %}" class="btn btn-primary active mx-auto" role="button" aria-pressed="true" style="text-align: center; color: white; background-color: #1E3C75; border-color : white; position: relative; padding: 15px 34px; font-size: medium; margin: 20px; left: 200px;">About Me</a>
        </div>
        <div class="col-lg-6 col-sm-12 col-xs-12">
            <img src="{% static 'img/friends.jpg' %}" style="width: 45vw; padding: 75px 0">
        </div>
        </div>
    </div>
{% endblock content %}

main/templates/skills.html
{% extends "base.html" %} 
{% load static %}

{% block style %}{% endblock style %}

{% block title %}{% endblock title %}

{% block content %}
    <div style="display: flexbox">
        <h2 style="margin: 0; font-weight: 300; font-size: 200%; padding: 75px 0 0 75px"><b>Skill</b></h2>
        <table class="table table-bordered" style="width: 40%;">
        <thead>
        <tr>
            <th>Softskill</th>
            <th>Hardskill</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td>Kerja Sama</td>
            <td><img src="{% static 'img/python.jpg' %}" style= "height: 90px; width: 80px"></td>
        </tr>
        <tr>
            <td>Fleksibilitas</td>
            <td><img src="{% static 'img/java.jpg' %}" style= "height: 90px; width: 80px"></td>
        </tr>
        <tr>
            <td>Problem Solving</td>
            <td><img src="{% static 'img/html.jpg' %}" style= "height: 90px; width: 100px"></td>
        </tr>
        <tr>
            <td>Empati</td>
            <td><img src="{% static 'img/css.jpg' %}" style= "height: 90px; width: 100px"></td>
        </tr>
        </tbody>
        </table>
    </div>
{% endblock content %}

main/templates/social.html
{% extends "base.html" %} 
{% load static %}

{% block style %}{% endblock style %}

{% block title %}{% endblock title %}

{% block content %}
    <div style="display: flexbox">
        <h3 style="margin: 0; padding: 20px">Contact Me at</h3>
        <p style="margin: 0; padding: 20px">Instagram: <a href = "https://www.instagram.com/rara.19/"><img src = "{% static 'img/instagram.jpg' %}" style="position: relative; top: 3px; left: 13px; height: 30px; width: 30px"></a></p>
        <p style="margin: 0; padding: 20px">Twitter: <a href = "https://www.twitter.com/nadhira_rafik"><img src = "{% static 'img/twitter.jpg' %}" style="position: relative; top: 3px; left: 13px; height: 30px; width: 40px"></a> </p>
    </div>
{% endblock content %}

main/templates/success.html
{% extends "base.html" %} 
{% load static %}

{% block content %}
    <div style="display: flexbox">
        <h1 style="margin: 0; font-weight: 300; font-size: 175%; padding: 50px 0 0 75px; text-align: center;"><b>Anda telah berhasil menambahkan mata kuliah</b></h1>
        <a href="{% url 'main:viewmatkul' %}" class="btn btn-primary active mx-auto" role="button" aria-pressed="true" style="text-align: center; color: white; background-color: #1E3C75; border-color : white; position: relative; padding: 15px 34px; font-size: medium; margin: 20px; left: 550px">Lihat Matkul</a>
    </div>
    
{% endblock content %}

main/templates/viewmatkul.html
{% extends "base.html" %} 
{% load static %}

<link rel="stylesheet" href="{% static 'css/style.css' %}">

{% block content %}
<div style="display: flexbox">
    <h2 style="margin: 0; font-weight: 300; font-size: 175%; padding: 50px 0 0 75px; text-align: center;"><b>Mata Kuliah Saya</b></h2>
    <table class="table table-bordered mx-auto" style="width: 80%">
        <thead>
        <tr>
            <th>Nama Matkul</th>
            <th>Pengajar</th>
            <th>Periode</th>
            <th>Jumlah SKS</th>
            <th>Ruang Kelas</th>
            <th>Deskripsi Matkul</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        {% for form in viewmatkul %}
        <tr>
            <td>{{ form.namamatkul }}</td>
            <td>{{ form.pengajar }}</td>
            <td>{{ form.periode }}</td>
            <td>{{ form.sks }}</td>
            <td>{{ form.ruang }}</td>
            <td>{{ form.deskripsi }}</td>
            <td><a href="{% url 'main:deletedata' form.id %}"><button type="submit" class="btn btn-primary" style="background-color: #AD2828; border-color: white;">delete</button></a></td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
</div>
   
{% endblock content %}

story1/templates/home.html
{% load static %}
<html>
<head>
    {% block title %}<title>Profil Saya</title> {% endblock title %}
</head>

{% block content %}
<body style = 'background-color:  #AD2828'>
    <p align = 'center'><img src ="{% static 'img/photo.jpg' %}" width = '300' length = '350'></p>
    <h1 style = 'font-family: rubik' align = 'center'>Nadhira Rafik</h1>
    <h3 style = 'font-family: rubik' align = 'center'>1906293234</h3>
    <h3 style = 'font-family: rubik' align = 'center'>Angkatan 2019</h3>
    <br>
    <h3 style = 'font-family: rubik'>Tentang Saya</h3>
    <p>TTL : 19 April 2001</p>
    <p>Hobi : Bermain game dan aquascaping</p>
    <p>Tempat Kuliah : Fasilkom UI</p>
    <p>Media Sosial : <a href = 'https://www.instagram.com/rara.19/'><img src ="{% static 'img/instagram.jpg' %}" width = '25' length = '25'></a></p>
    <br>
    <h3 style = 'font-family: rubik'>Deskripsi Saya</h3>
    <p>Nama saya Nadhira Rafik, biasa dipanggil Rara, saya adalah mahasiswa Fasilkom UI jurusan ilmu komputer angkatan 2019. Sekarang saya sedang memasuki semester 3 atau tahun kedua. Pada semester ini saya mengambil kelas Perancangan & Pemrograman Web serta 5 kelas lainnya.</p>
    <br>
    <h3 style = 'font-family: rubik'>Riwayat Pendidikan</h3>
        <table style = 'width : 40%; border: 1; background-color: #1E3C75; text-align: center'>
            <tr>
                <th>Jenjang</th>
                <th>Tempat</th>
                <th>Tahun</th>
            </tr>
            <tr>
                <td>Sarjana</td>
                <td>Universitas Indonesia</td>
                <td>2019-sekarang</td>
            </tr>
            <tr>
                <td>SMA</td>
                <td>Al-Azhar 1</td>
                <td>2016-2019</td>
            </tr>
            <tr>
                <td>SMP</td>
                <td>Al-Azhar 1</td>
                <td>2013-2016</td>
            </tr>
            <tr>
                <td>SD</td>
                <td>Al-Azhar 1</td>
                <td>2007-2013</td>
            </tr>
            <tr>
                <td>TK</td>
                <td>Al-Azhar 1</td>
                <td>2005-2007</td>
            </tr>
        </table>
    <button style="background-color:#1E3C75; padding: 10px 20px; margin: 30px 0 30px 550px" type="button"><a href="{% url 'main:homepage' %}" style="color: white">Go to Story4</a></button>
</body>
</html>
{% endblock content %}